Subject: Re: State of TCP Fairness Question

From: Mark Allman <[email-masked]>
Date: Mon, 12 Mar 2001 22:07:22 -0500

> - TCP may be biased against connections with long RTTs because the
> additive increase time is roughly one segment per RTT. Connections
> with longer RTTs take longer to ramp up and while this is
> happening those with smaller RTTs can acquire available
> bandwidth. TCP constant rate algorithm as suggested by Floyd and
> later Henderson, et al paper could overcome this limitation by
> "equalizing" the rate by which senders with different RTTs
> increase their sending rates during congestion avoidance. Not
> implemented.

You mean "not implemented due to unresolved issues".  I can't
remember all the details (see RFC 2760 for a discussion of this --
written by Henderson), but there are certainly downsides to a
constant rate increase.

allman

---
Mark Allman -- BBN/NASA GRC -- http://roland.grc.nasa.gov/~mallman/